Name:       js-jquery-jstree
Version:    3.3.8
Release:    3%{?dist}
BuildArch:  noarch

License:    MIT
Summary:    A jQuery tree plugin
URL:        https://github.com/vakata/jstree
Source0:    %{url}/archive/%{version}/jstree-%{version}.tar.gz

BuildRequires: uglify-js
BuildRequires: web-assets-devel

Requires:      js-jquery >= 1.9.1
Requires:      web-assets-filesystem


%description
jsTree is jquery plugin, that provides interactive trees. It is
absolutely free, open source and distributed under the MIT license.

jsTree is easily extendable, themable and configurable, it supports HTML
& JSON data sources, AJAX & async callback loading.

jsTree functions properly in either box-model (content-box or
border-box), can be loaded as an AMD module, and has a built in mobile
theme for responsive design, that can easily be customized. It uses
jQuery's event system, so binding callbacks on various events in the
tree is familiar and easy.


%prep
%setup -q -n jstree-%{version}

# We must minify the JS ourselves.
find . -name "*.min.js" -delete
find . -name "*.min.css" -delete


%build
uglifyjs dist/jstree.js -c -m -o dist/jstree.min.js


%install
install -d -m 0755 %{buildroot}/%{_webassetdir}
install -d -m 0755 %{buildroot}/%{_webassetdir}/jquery-jstree
install -d -m 0755 %{buildroot}/%{_webassetdir}/jquery-jstree/themes

cp -a dist/* %{buildroot}/%{_webassetdir}/jquery-jstree/


%files
%license LICENSE-MIT
%doc README.md
%{_webassetdir}/jquery-jstree


%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 05 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 3.3.8-1
- Update to 3.3.8 (#1703862).
- https://github.com/vakata/jstree/compare/3.3.5...3.3.8

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Sep 16 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 3.3.5-1
- Update to 3.3.5 (#1531006).
- https://github.com/vakata/jstree/compare/3.3.4...3.3.5

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
